// @ts-ignore
/* eslint-disable */
import { request } from '@wisdom-utils/utils';

/** 根据机构id获取子机构及所有机构下用户 GET /UserCenter/GroupUserList */
export async function GroupUserList(params, options) {
  return request('/UserCenter/GroupUserList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 角色列表按产品分组 GET /UserCenter/RoleGroupList */
export async function RoleGroupList(params, options) {
  return request('/UserCenter/RoleGroupList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 修改用户密码 POST /UserCenter/UpdateUserPassword */
export async function UpdateUserPassword(body, options) {
  return request('/UserCenter/UpdateUserPassword', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 批量删除用户 GET /UserCenter/DeleteUsers */
export async function DeleteUsers(params, options) {
  return request('/UserCenter/DeleteUsers', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 批量设置设置用户角色关联关系 GET /UserCenter/SetUserRoleMap */
export async function SetUserRoleMap(params, options) {
  return request('/UserCenter/SetUserRoleMap', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 用户批量更改机构 GET /UserCenter/ModifyUserRole */
export async function ModifyUserRole(params, options) {
  return request('/UserCenter/ModifyUserRole', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 分页获取机构列表及用户信息 POST /UserCenter/GroupUserPagingList */
export async function GroupUserPagingList(body, options) {
  return request('/UserCenter/GroupUserPagingList', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 获取所有机构列表 GET /UserCenter/GetAllGroup */
export async function GetAllGroup(options) {
  return request('/UserCenter/GetAllGroup', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取某个机构下所有用户列表 GET /UserCenter/GetStationUserList */
export async function GetStationUserList(params, options) {
  return request('/UserCenter/GetStationUserList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取产品列表 POST /UserCenter/ProductList */
export async function ProductList(body, options) {
  return request('/UserCenter/ProductList', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 修改单个产品 POST /UserCenter/ModifyProduct */
export async function ModifyProduct(body, options) {
  return request('/UserCenter/ModifyProduct', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 删除单个产品 GET /UserCenter/DelProduct */
export async function DelProduct(params, options) {
  return request('/UserCenter/DelProduct', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
